Download it now!
Bug 120890 - KDE5: Perform some actions for View -> Toolbars menu -> Crash appears
Summary: KDE5: Perform some actions for View -> Toolbars menu -> Crash appears
Status: VERIFIED DUPLICATE of bug 121417
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 121217 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-25 07:34 UTC by Vera Blagoveschenskaya
Modified: 2018-11-29 07:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
video (11.35 MB, video/ogg)
2018-10-25 07:35 UTC, Vera Blagoveschenskaya
Details
video (985.15 KB, video/ogg)
2018-10-25 09:25 UTC, Vera Blagoveschenskaya
Details
gdbtrace log (29.08 KB, application/gzip)
2018-10-25 09:32 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-10-25 07:34:23 UTC
Description:
Perform some actions for View -> Toolbars menu -> Crash appears

Steps to Reproduce:
Crash was found while reproducing
https://bugs.documentfoundation.org/show_bug.cgi?id=120881

1. Open View -> Toolbars menu
2. Check/Uncheck some options


Actual Results:
For 2-3 time crash appears

See video

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for

Version: 6.2.0.0.alpha1+
Build ID: 25af42bc70e1a0a61d2ea90d7b0ef1ed6000ed69
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-23_18:02:41
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for

Version: 6.2.0.0.alpha1+
Build ID: 25af42bc70e1a0a61d2ea90d7b0ef1ed6000ed69
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-23_18:02:41
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-10-25 07:35:07 UTC
Created attachment 145987 [details]
video
Comment 2 Xisco Faulí 2018-10-25 09:21:47 UTC
I can't reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

OTOH, I don't see any crash in the video attached...
Comment 3 Vera Blagoveschenskaya 2018-10-25 09:25:55 UTC
Created attachment 145991 [details]
video

(In reply to Vera from comment #1)
> Created attachment 145987 [details]
> video

Sorry, wrong video.

New one is here
Comment 4 Vera Blagoveschenskaya 2018-10-25 09:32:03 UTC
Created attachment 145992 [details]
gdbtrace log
Comment 5 Michael Weghorn 2018-10-25 10:27:32 UTC
Confirmed, since I experienced the same previously, s. my c#1 in bug 120882. (Fixing one of the issues will possibly fix the other one as well, but I'm not yet marking any as duplicate of the other.)
Comment 6 Xisco Faulí 2018-11-07 11:22:15 UTC
*** Bug 121217 has been marked as a duplicate of this bug. ***
Comment 7 Xisco Faulí 2018-11-19 12:14:42 UTC
Still reproduced in

Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

increasing severity...
Comment 8 Katarina Behrens (Inactive) 2018-11-28 12:02:45 UTC
I no longer see the crash w/ master build as of today, it is entirely possible this got fixed along with bug 121417. Please re-test
Comment 9 Michael Weghorn 2018-11-28 16:14:28 UTC
(In reply to Katarina Behrens (CIB) from comment #8)
> I no longer see the crash w/ master build as of today, it is entirely
> possible this got fixed along with bug 121417. Please re-test

Same for me; I can no longer reproduce with

Version: 6.3.0.0.alpha0+
Build ID: 3288d88e0c0842a44aa959e41cc665b9cf3804b9
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

*** This bug has been marked as a duplicate of bug 121417 ***
Comment 10 Vera Blagoveschenskaya 2018-11-29 07:21:05 UTC
Crash is not reproduced for

Version: 6.3.0.0.alpha0+
Build ID: b15b1a2a90fa4c239ff8a6a33e73ff50ea422abf
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-28_06:21:05
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

--> Verified